
var Actor_possibleTypes = ['Actor']
module.exports.isActor = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isActor"')
  return Actor_possibleTypes.includes(obj.__typename)
}



var ActorAggregateConnection_possibleTypes = ['ActorAggregateConnection']
module.exports.isActorAggregateConnection = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isActorAggregateConnection"')
  return ActorAggregateConnection_possibleTypes.includes(obj.__typename)
}



var ActorConnection_possibleTypes = ['ActorConnection']
module.exports.isActorConnection = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isActorConnection"')
  return ActorConnection_possibleTypes.includes(obj.__typename)
}



var DataPoint_possibleTypes = ['DataPoint']
module.exports.isDataPoint = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isDataPoint"')
  return DataPoint_possibleTypes.includes(obj.__typename)
}



var MachinePump_possibleTypes = ['MachinePump']
module.exports.isMachinePump = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMachinePump"')
  return MachinePump_possibleTypes.includes(obj.__typename)
}



var MachinePump2_possibleTypes = ['MachinePump2']
module.exports.isMachinePump2 = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMachinePump2"')
  return MachinePump2_possibleTypes.includes(obj.__typename)
}



var MachinePump2AggregateConnection_possibleTypes = ['MachinePump2AggregateConnection']
module.exports.isMachinePump2AggregateConnection = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMachinePump2AggregateConnection"')
  return MachinePump2AggregateConnection_possibleTypes.includes(obj.__typename)
}



var MachinePump2Connection_possibleTypes = ['MachinePump2Connection']
module.exports.isMachinePump2Connection = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMachinePump2Connection"')
  return MachinePump2Connection_possibleTypes.includes(obj.__typename)
}



var MachinePumpAggregateConnection_possibleTypes = ['MachinePumpAggregateConnection']
module.exports.isMachinePumpAggregateConnection = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMachinePumpAggregateConnection"')
  return MachinePumpAggregateConnection_possibleTypes.includes(obj.__typename)
}



var MachinePumpConnection_possibleTypes = ['MachinePumpConnection']
module.exports.isMachinePumpConnection = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMachinePumpConnection"')
  return MachinePumpConnection_possibleTypes.includes(obj.__typename)
}



var Movie_possibleTypes = ['Movie']
module.exports.isMovie = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMovie"')
  return Movie_possibleTypes.includes(obj.__typename)
}



var MovieAggregateConnection_possibleTypes = ['MovieAggregateConnection']
module.exports.isMovieAggregateConnection = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMovieAggregateConnection"')
  return MovieAggregateConnection_possibleTypes.includes(obj.__typename)
}



var MovieConnection_possibleTypes = ['MovieConnection']
module.exports.isMovieConnection = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMovieConnection"')
  return MovieConnection_possibleTypes.includes(obj.__typename)
}



var PageInfo_possibleTypes = ['PageInfo']
module.exports.isPageInfo = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isPageInfo"')
  return PageInfo_possibleTypes.includes(obj.__typename)
}



var Query_possibleTypes = ['Query']
module.exports.isQuery = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isQuery"')
  return Query_possibleTypes.includes(obj.__typename)
}



var TimeSeries_possibleTypes = ['TimeSeries']
module.exports.isTimeSeries = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isTimeSeries"')
  return TimeSeries_possibleTypes.includes(obj.__typename)
}



var _ActorAggregateEdge_possibleTypes = ['_ActorAggregateEdge']
module.exports.is_ActorAggregateEdge = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_ActorAggregateEdge"')
  return _ActorAggregateEdge_possibleTypes.includes(obj.__typename)
}



var _ActorAggregateFieldCountResult_possibleTypes = ['_ActorAggregateFieldCountResult']
module.exports.is_ActorAggregateFieldCountResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_ActorAggregateFieldCountResult"')
  return _ActorAggregateFieldCountResult_possibleTypes.includes(obj.__typename)
}



var _ActorAggregateFieldResult_possibleTypes = ['_ActorAggregateFieldResult']
module.exports.is_ActorAggregateFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_ActorAggregateFieldResult"')
  return _ActorAggregateFieldResult_possibleTypes.includes(obj.__typename)
}



var _ActorAggregateHistogramFieldResult_possibleTypes = ['_ActorAggregateHistogramFieldResult']
module.exports.is_ActorAggregateHistogramFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_ActorAggregateHistogramFieldResult"')
  return _ActorAggregateHistogramFieldResult_possibleTypes.includes(obj.__typename)
}



var _ActorAggregateResult_possibleTypes = ['_ActorAggregateResult']
module.exports.is_ActorAggregateResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_ActorAggregateResult"')
  return _ActorAggregateResult_possibleTypes.includes(obj.__typename)
}



var _ActorAvgAggregateFieldResult_possibleTypes = ['_ActorAvgAggregateFieldResult']
module.exports.is_ActorAvgAggregateFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_ActorAvgAggregateFieldResult"')
  return _ActorAvgAggregateFieldResult_possibleTypes.includes(obj.__typename)
}



var _ActorEdge_possibleTypes = ['_ActorEdge']
module.exports.is_ActorEdge = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_ActorEdge"')
  return _ActorEdge_possibleTypes.includes(obj.__typename)
}



var _AggregateHistogramObjectType_possibleTypes = ['_AggregateHistogramObjectType']
module.exports.is_AggregateHistogramObjectType = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_AggregateHistogramObjectType"')
  return _AggregateHistogramObjectType_possibleTypes.includes(obj.__typename)
}



var _MachinePump2AggregateEdge_possibleTypes = ['_MachinePump2AggregateEdge']
module.exports.is_MachinePump2AggregateEdge = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePump2AggregateEdge"')
  return _MachinePump2AggregateEdge_possibleTypes.includes(obj.__typename)
}



var _MachinePump2AggregateFieldCountResult_possibleTypes = ['_MachinePump2AggregateFieldCountResult']
module.exports.is_MachinePump2AggregateFieldCountResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePump2AggregateFieldCountResult"')
  return _MachinePump2AggregateFieldCountResult_possibleTypes.includes(obj.__typename)
}



var _MachinePump2AggregateFieldResult_possibleTypes = ['_MachinePump2AggregateFieldResult']
module.exports.is_MachinePump2AggregateFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePump2AggregateFieldResult"')
  return _MachinePump2AggregateFieldResult_possibleTypes.includes(obj.__typename)
}



var _MachinePump2AggregateHistogramFieldResult_possibleTypes = ['_MachinePump2AggregateHistogramFieldResult']
module.exports.is_MachinePump2AggregateHistogramFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePump2AggregateHistogramFieldResult"')
  return _MachinePump2AggregateHistogramFieldResult_possibleTypes.includes(obj.__typename)
}



var _MachinePump2AggregateResult_possibleTypes = ['_MachinePump2AggregateResult']
module.exports.is_MachinePump2AggregateResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePump2AggregateResult"')
  return _MachinePump2AggregateResult_possibleTypes.includes(obj.__typename)
}



var _MachinePump2AvgAggregateFieldResult_possibleTypes = ['_MachinePump2AvgAggregateFieldResult']
module.exports.is_MachinePump2AvgAggregateFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePump2AvgAggregateFieldResult"')
  return _MachinePump2AvgAggregateFieldResult_possibleTypes.includes(obj.__typename)
}



var _MachinePump2Edge_possibleTypes = ['_MachinePump2Edge']
module.exports.is_MachinePump2Edge = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePump2Edge"')
  return _MachinePump2Edge_possibleTypes.includes(obj.__typename)
}



var _MachinePumpAggregateEdge_possibleTypes = ['_MachinePumpAggregateEdge']
module.exports.is_MachinePumpAggregateEdge = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePumpAggregateEdge"')
  return _MachinePumpAggregateEdge_possibleTypes.includes(obj.__typename)
}



var _MachinePumpAggregateFieldCountResult_possibleTypes = ['_MachinePumpAggregateFieldCountResult']
module.exports.is_MachinePumpAggregateFieldCountResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePumpAggregateFieldCountResult"')
  return _MachinePumpAggregateFieldCountResult_possibleTypes.includes(obj.__typename)
}



var _MachinePumpAggregateFieldResult_possibleTypes = ['_MachinePumpAggregateFieldResult']
module.exports.is_MachinePumpAggregateFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePumpAggregateFieldResult"')
  return _MachinePumpAggregateFieldResult_possibleTypes.includes(obj.__typename)
}



var _MachinePumpAggregateHistogramFieldResult_possibleTypes = ['_MachinePumpAggregateHistogramFieldResult']
module.exports.is_MachinePumpAggregateHistogramFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePumpAggregateHistogramFieldResult"')
  return _MachinePumpAggregateHistogramFieldResult_possibleTypes.includes(obj.__typename)
}



var _MachinePumpAggregateResult_possibleTypes = ['_MachinePumpAggregateResult']
module.exports.is_MachinePumpAggregateResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePumpAggregateResult"')
  return _MachinePumpAggregateResult_possibleTypes.includes(obj.__typename)
}



var _MachinePumpAvgAggregateFieldResult_possibleTypes = ['_MachinePumpAvgAggregateFieldResult']
module.exports.is_MachinePumpAvgAggregateFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePumpAvgAggregateFieldResult"')
  return _MachinePumpAvgAggregateFieldResult_possibleTypes.includes(obj.__typename)
}



var _MachinePumpEdge_possibleTypes = ['_MachinePumpEdge']
module.exports.is_MachinePumpEdge = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MachinePumpEdge"')
  return _MachinePumpEdge_possibleTypes.includes(obj.__typename)
}



var _MovieAggregateEdge_possibleTypes = ['_MovieAggregateEdge']
module.exports.is_MovieAggregateEdge = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MovieAggregateEdge"')
  return _MovieAggregateEdge_possibleTypes.includes(obj.__typename)
}



var _MovieAggregateFieldCountResult_possibleTypes = ['_MovieAggregateFieldCountResult']
module.exports.is_MovieAggregateFieldCountResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MovieAggregateFieldCountResult"')
  return _MovieAggregateFieldCountResult_possibleTypes.includes(obj.__typename)
}



var _MovieAggregateFieldResult_possibleTypes = ['_MovieAggregateFieldResult']
module.exports.is_MovieAggregateFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MovieAggregateFieldResult"')
  return _MovieAggregateFieldResult_possibleTypes.includes(obj.__typename)
}



var _MovieAggregateHistogramFieldResult_possibleTypes = ['_MovieAggregateHistogramFieldResult']
module.exports.is_MovieAggregateHistogramFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MovieAggregateHistogramFieldResult"')
  return _MovieAggregateHistogramFieldResult_possibleTypes.includes(obj.__typename)
}



var _MovieAggregateResult_possibleTypes = ['_MovieAggregateResult']
module.exports.is_MovieAggregateResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MovieAggregateResult"')
  return _MovieAggregateResult_possibleTypes.includes(obj.__typename)
}



var _MovieAvgAggregateFieldResult_possibleTypes = ['_MovieAvgAggregateFieldResult']
module.exports.is_MovieAvgAggregateFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MovieAvgAggregateFieldResult"')
  return _MovieAvgAggregateFieldResult_possibleTypes.includes(obj.__typename)
}



var _MovieEdge_possibleTypes = ['_MovieEdge']
module.exports.is_MovieEdge = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MovieEdge"')
  return _MovieEdge_possibleTypes.includes(obj.__typename)
}
